> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific number range



## OpenAPI

````yaml openapi/openapi.json get /api/number-ranges/{id}
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/number-ranges/{id}:
    get:
      tags:
        - Number Ranges
      summary: Get a specific number range
      operationId: 4a57ee35a7265de561b2928f8f2f9c1b
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Number range details
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      id:
                        type: integer
                        example: 4
                      title:
                        type: string
                        example: Range 2
                      start:
                        type: integer
                        example: 11
                      end:
                        type: integer
                        example: 20
                      latest_value:
                        type: integer
                        example: 12
                      increase_by:
                        type: integer
                        example: 1
                      prefix:
                        type: string
                        example: A
                      suffix:
                        type: string
                        example: B
                      padding:
                        type: integer
                        example: '4'
                      company:
                        properties:
                          id:
                            type: integer
                            example: 1
                          name:
                            type: string
                            example: Company 1
                        type: object
                    type: object
                type: object
        '403':
          description: Unauthorized
        '404':
          description: Not Found
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````